Download it now!
Bug 74137 - FILESAVE: File gets corrupted after save having 3D pie charts
Summary: FILESAVE: File gets corrupted after save having 3D pie charts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2014-01-28 05:15 UTC by Rohit Deshmukh
Modified: 2014-03-17 11:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file (117.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-28 05:15 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-01-28 05:15:20 UTC
Created attachment 92901 [details]
Original file

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word


Current behavior:
File gets corrupt

Expected behavior:
File should open without any error
Comment 1 Jorendc 2014-01-28 10:19:08 UTC
Thanks! Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: 8fd7a53d3cf1ed788c705cafb443801203787c9d
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-01-22_00:10:03

Opened using Word for Mac 2011.

Kind regards,
Joren
Comment 2 Commit Notification 2014-02-15 05:18:56 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05ad6dd36f73647cdf0839d2c18dbc1d399c792

fdo#74137: Fix for courruption of Pie chart after roundtrip.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-17 11:08:32 UTC
No corruption anymore, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Thanks for fixing!

Kind regards,
Joren